Datuve :: MySQL administrēšanas rīks phpMyAdmin uz PHP 4+ ar MySQL 3+

Datuve

Mana Datuve

Reģistrācija | Noteikumi | Paroles atjaunošana



Forums

Ieskaties


Raksti

Lietotāji online

Lietotāji online: 38

Reģistrētie lietotāji online: 0

Viesi online: 38

Datuve.lv video
Top.LV

MySQL administrēšanas rīks phpMyAdmin uz PHP 4+ ar MySQL 3+

Ievietoja: Bruno @ 2009.03.18 08:12  

Tavs provaideris tev piedāvā mājaslapas izvietošanas kontu uz sava Linux servera. Tu priecīgi logojies iekšā serverī un sāc izvietot savu php webprojektu, kurš apgriezīs visu pasaules vebu otrādi. Pagaidi - tava lieliskā projekta darbībai nepieciešama MySQL datubāze, bet provaideris tai neiedeva administrēšanas pieeju.
Un te studijā parādās phpMyAdmin, kurš būs īstais instruments, kas tev palīdzēs, tomēs pirms to uzstādi tev būtu jāzin dažas lietas. Piemēram, kādas versijas PHP un MySQL atrodas uz servera.



Ar PHP komandu phpinfo(), tu iegūsti informāciju par savu serveri, tai skaitā par PHP un MySQL versijām, kuras tev būs nepieciešams zināt priekš phpMyAdmin uzstādīšanas.

Mums ir 4+ PHP serveris un MySQL 4+, to atceramies.

Dodamies uz phpMyAdmin mājaslapu. Tur ir brīdinājums, ka jaunākā phpMyAdmin 3.1.3 versija ir savietojama ar vismaz PHP 5.2 un MySQL 5. Tapēc mēs paskrolējam zemāk un atrodam mūsu servera konfigurācijai atbilstošu arhīvu.



Iegūstam phpMyAdmin 2.11.9.4 versijas faila linku, kuru iekopējam Clipboard, izvēloties phpMyAdmin-2.11.9.4-english.tar.gz versiju.



Ielogojamies ar Putty komandrindas konsolē un izņemam no Clipboard linku (C+V), ar komandu wget lejupielādējam mums derīgo phpMyAdmin versiju.



Atkompresējam lejupielādēto phpMyAdmin arhīvu uz izvēlēto direktoriju.



Dodamies uz privāto interneta adresi, kuru vēlams veidot uz cita domēna vai subdomēna un pasargāt no svešām IP adresēm ar Apache .htaccess failu. phpMyAdmin mums paziņo, ka mēs nēesam ievadījuši slepeno frāzi konfigurācijas failā, un tālāk nekas nenotiek.



Rakstam konsolē # nano config.inc.php un ievadam phpMyAdmin prasīto slepeno frāzi. Konsoles Nano editoru aizveram ar Ctrl^X komandu, pirms tam nospiežot Y, lai sagalabātu paveiktās izmaiņas.



Beidzot varam ielogoties, tas mums sanāca! Nu esam savā phpMyAdmin panelī, kur kreisajā pusē atrodas saraksts uz mūsu datubāzēm.



Pierakstīju savas darbības uzstādot phpMyAdmin v2.11.9.4, piefiksējot tikai to ko vēlējos. Tas nepretendē uz vienīgo phpMyAdmin uzstādīšanas veidu. Teksts ir publicēts informācijas nolūkos, ja ko uz servera nogāzīsiet veicot šīs darbības, ar savu servera administrātoru skaidrosieties vien paši.




Saistītie raksti

Komentāri

#1 jonys @ 2009.03.18 09:36

Vai, sajaucu portālus gāju www.datuve.lv, bet ielogojās  www.programesana.lv

#3 Copy @ 2009.03.18 09:59

noderīgs raksts tiem, kas nesen sākuši ar web izstrādes lietām nodarboties. :)

#4 wolfinj @ 2009.03.18 10:06

šis nu tiešām bija garām...
internetā var iegūt daudz sakarīgākus tutus
un man liekas ka phpmyadmin ir neatņemama lieta pie web servera izveides un nāk bariņā ar msql -> php uzstādi un konfigurēšanu

#5 lin33 @ 2009.03.18 10:08

kurš provaiders piedāvā komandlīnijas pieeju, nedodot DB administrēšanas rīku??

#6 nezinītis:) @ 2009.03.18 10:29

Labāk izmontot RST MySQL.

#7 .... @ 2009.03.18 10:58

Ha, "4+ PHP serveris un MySQL 4+", kad var sagaidīt Windows 95 apskats?

#8 ieviesis @ 2009.03.18 11:10

.... rakstīja:

Ha, "4+ PHP serveris un MySQL 4+", kad var sagaidīt Windows 95 apskats?

Laikam kādam ir problēmas ar uztveri, ko tas "+" nozīmē..

#9 zinītis @ 2009.03.18 11:13

nezinītis:) rakstīja:

Labāk izmontot RST MySQL.

kāpēc?

#10 .... @ 2009.03.18 11:24

ieviesis rakstīja:

Laikam kādam ir problēmas ar uztveri, ko tas "+" nozīmē..

Laikam gan, jo 4+ nozīmē visas 4tās versijas. ;)
Kaut vai teksts - "Tur ir brīdinājums, ka jaunākā phpMyAdmin 3.1.3 versija ir savietojama ar vismaz PHP 5.2 un MySQL 5.", tev jau nelika par to aizdomāties?

#11 Evers @ 2009.03.18 12:38

labāk XAMPP un lieta darīta...viss nepieciešamais un nekāds čakars

#12 _Ramirez_ WWW @ 2009.03.18 13:16

Priekš iesācējiem tiešām noderīga lieta!

#13 $$$ @ 2009.03.18 13:31

"MySQL datubāze, bet provaideris tai neiedeva administrēšanas pieeju.
Un te studijā parādās phpMyAdmin, kurš būs īstais instruments, kas tev palīdzēs"

Bet Tev joprojām nav pieejas (lietotāja, paroles) un phpMyAdmins to tev arī neiedos!

#14 $$$ @ 2009.03.18 13:47

Un vispār - ja tev ir shell pieeja, tad pieslēdzies ar putty, iztunelē 3306 portu uz localhost un administrē savu datubāzi ar ko vēlies...

#15 Skyforger @ 2009.03.19 00:50

Ja labs rakst es gan ka nuubs izmantoju wamp serveri prieksh testeshanas un izstrades un tad vienkashi uzlieku uz hosta kur parasti viss ir.
Nav nekadu suudzibu bijis par wamp bet nezinu kapec pro vinju neatziist.

#16 80mxm08 @ 2009.03.19 09:58

WAMP taapat kaa shis raksts iesuukaa

#17 unregistered @ 2009.03.23 09:02

Kurā gadsimtā jūs dzīvojaties Visi jau izmanto PHP 5 un MySQL'am ar jau sen ir 5'tā versija Bāc!! Daļše ņekuda! :)

#18 eriksu2 @ 2009.07.29 13:40

bet kurs provaideris dod iespeju izmantot shos pakalpojumus uz vinu servera? piem man LATNET un par to nekad neesu dzirdejis kaut pats ar php un mysql saskaros biezi taka monteju trakerus